Option Explicit

' Change this constant to change the bar height
Global Const BAR_HEIGHT = 9

'****************************************************
'*
'*  Below are some declarations and constants needed
'*  for Windows API functions, message blaster etc.
'*
'*
'****************************************************

'-- The functions

Declare Function SetWindowPos Lib "User" (ByVal h%, ByVal hb%, ByVal x%, ByVal y%, ByVal cx%, ByVal cy%, ByVal f%) As Integer
Declare Function CreatePopupMenu Lib "User" () As Integer
Declare Function AppendMenu Lib "User" (ByVal hMenu As Integer, ByVal wFlags As Integer, ByVal wIDNewItem As Integer, ByVal lpNewItem As Any) As Integer
Declare Function SendMessage Lib "User" (ByVal hWnd As Integer, ByVal wMsg As Integer, ByVal wParam As Integer, lParam As Any) As Long
Declare Function TrackPopupMenu Lib "User" (ByVal hMenu As Integer, ByVal wFlags As Integer, ByVal x As Integer, ByVal y As Integer, ByVal nReserved As Integer, ByVal hWnd As Integer, lpReserved As Any) As Integer
Declare Function GetSystemMetrics Lib "User" (ByVal nIndex As Integer) As Integer

'-- The constants...

'Constants for setting top-most window...
Global Const SWP_NOMOVE = 2
Global Const SWP_NOSIZE = 1
Global Const SWP_NOACTIVATE = 16
Global Const FLAGS = SWP_NOMOVE Or SWP_NOSIZE Or SWP_NOACTIVATE
Global Const HWND_TOPMOST = -1

'System Metrics Constants
Global Const SM_CYMENU = 15

'SysCommand, wParam values
Global Const SC_MOVE = &HF010

'Menu Function values
Global Const MF_ENABLED = 0
Global Const MF_STRING = 0

'Window's messages
Global Const WM_ACTIVATEAPP = &H1C
Global Const WM_CLOSE = &H10
Global Const WM_COMMAND = &H111
Global Const WM_NCACTIVATE = &H86
Global Const WM_NCHITTEST = &H84
Global Const WM_NCLBUTTONDBLCLK = &HA3
Global Const WM_NCLBUTTONDOWN = &HA1
Global Const WM_SYSCOMMAND = &H112
Global Const WM_USER = &H400

'MsgBlaster property values
Global Const PREPROCESS = -1
Global Const EATMESSAGE = 0
Global Const POSTPROCESS = 1

'WM_NCHITTEST return values
Global Const HTCLIENT = 1
Global Const HTCAPTION = 2
Global Const HTSYSMENU = 3

'Visual Basic System Color values
Global Const ACTIVE_TITLE_BAR = &H80000002      ' Active window caption.
Global Const INACTIVE_TITLE_BAR = &H80000003    ' Inactive window caption.
Global Const WINDOW_FRAME = &H80000006          ' Window frame.

'-- The Structures...
Type Rect
  left As Integer
  top As Integer
  right As Integer
  bottom As Integer
  End Type

Sub main ()
  frmMain.Show
  frmMain!mnuToolbox.Checked = True
  frmtoolBox.Show
  End Sub

